Bug 16062 - Remove CSS and images related to old "approve" and "deny" button styles
Summary: Remove CSS and images related to old "approve" and "deny" button styles
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 16061 16064
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-14 13:51 UTC by Owen Leonard
Modified: 2016-12-05 21:27 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16062 - Remove CSS and images related to old "approve" and "deny" button styles (3.12 KB, patch)
2016-03-14 14:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16062 - Remove CSS and images related to old "approve" and "deny" button styles (3.22 KB, patch)
2016-03-14 17:09 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16062 - Remove CSS and images related to old "approve" and "deny" button styles (3.44 KB, patch)
2016-03-17 09:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16062 - (follow-up) Remove CSS and images related to old "approve" and "deny" button styles (1.01 KB, patch)
2016-03-17 09:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-14 13:51:06 UTC
Bug 15785 - Use Font Awesome icons in confirmation dialogs - Has made some CSS and images obsolete:

.dialog input.approve, td input.approve {
  background : #FFF url(../../img/approve.gif) no-repeat 4px center;
  padding : .4em .4em .4em 25px;  
}
 
.dialog input.deny {
   background : #FFF url(../../img/deny.gif) no-repeat 4px center;
   padding : .4em .4em .4em 25px;
 }
Comment 1 Owen Leonard 2016-03-14 14:27:55 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-03-14 17:09:21 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-16 11:39:51 UTC
What about
  1126 td input.approve {
  1127     background-color : #FFC;
  1128 }  
?
Comment 4 Owen Leonard 2016-03-16 12:30:06 UTC
(In reply to Jonathan Druart from comment #3)
> What about
>   1126 td input.approve {
>   1127     background-color : #FFC;
>   1128 }  
> ?

I didn't notice that. That was made obsolete by the overhaul of the lists interface.
Comment 5 Jonathan Druart 2016-03-17 09:50:20 UTC
Created attachment 49251 [details] [review]
Bug 16062 - Remove CSS and images related to old "approve" and "deny" button styles

Now that confirmation dialogs have all been udpated to use Font Awesome
icons, the old CSS for styling "approve" and "deny" buttons can be
removed along with the associated images.

To test, apply the patchs for Bugs 16061 and 16064 if necessary.

- Search the templates for instances of the "approve" or "deny" class
  which don't have a Font Awesome icon associated with it. There should
  be none.
- Confirm that there are no other references to the files "approve.gif"
  and "deny.gif"

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2016-03-17 09:50:27 UTC
Created attachment 49252 [details] [review]
Bug 16062 - (follow-up) Remove CSS and images related to old "approve" and "deny" button styles

Remove another obsolete CSS rule for input.approve

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Brendan Gallagher 2016-03-23 20:48:23 UTC
Pushed to Master - should be in the May 2016 release.  Thanks!